## org.apache.bcel.generic
Interface ConstantPushInstruction

All Superinterfaces:
  PushInstruction, StackProducer, TypedInstruction

All Known Implementing Classes:
  BIPUSH, DCONST, FCONST, ICONST, LCONST, SIPUSH

    public interface ConstantPushInstruction

extends PushInstruction, TypedInstruction

Denotes a push instruction that produces a literal on the stack such as SIPUSH, BIPUSH, ICONST, etc.

Version:
  $Id: ConstantPushInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `ICONST`, `SIPUSH`

Method Summary
`Number` `getValue()`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.TypedInstruction
`getType`

Method Detail

### getValue

    Number getValue()

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.